<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6dp"
        android:minWidth="100dp"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="6dp"
        android:layout_marginBottom="20dp"
        android:background="@drawable/chat_grey">

        <com.github.siyamed.shapeimageview.CircularImageView
            android:id="@+id/userIcon"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_alignParentStart="true"
            android:layout_centerInParent="true"
            android:layout_margin="4dp"
            android:contentDescription="@string/app_name"
            android:scaleType="fitCenter"
            android:src="@drawable/fake_user_icon" />

        <TextView
            android:id="@+id/userName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_marginStart="4dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="12dp"
            android:layout_toRightOf="@id/userIcon"
            android:gravity="center|start"
            android:text="John"
            android:textColor="@color/btn_bg_color"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/userName"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="4dp"
            android:layout_toRightOf="@id/userIcon"
            android:gravity="center|start"
            android:text="John"
            android:textColor="@color/material_white"
            android:textSize="15sp" />
    </RelativeLayout>

</RelativeLayout>
